"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _pickers = require("@material-ui/pickers");

var _moment = _interopRequireDefault(require("@date-io/moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDDT = _ref => {
  let {
    label,
    value,
    setValue,
    readOnly,
    format,
    locale,
    cancel,
    ok,
    error
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_pickers.MuiPickersUtilsProvider, {
    locale: locale || "en",
    utils: _moment.default
  }, /*#__PURE__*/_react.default.createElement(_pickers.DateTimePicker, {
    label: label,
    cancelLabel: cancel || "CANCEL",
    okLabel: ok || "OK",
    value: value || undefined,
    onChange: setValue,
    allowKeyboardControl: false,
    readOnly: false,
    inputVariant: "outlined",
    InputLabelProps: {
      shrink: true
    },
    fullWidth: true,
    error: error && error.isWrong,
    disabled: readOnly || false,
    format: format || "DD.MM.YYYY H:mm"
  }), error && error.isWrong && /*#__PURE__*/_react.default.createElement("label", null, error.message));
};

var _default = IPMDDT;
exports.default = _default;