"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDPager = _ref => {
  let {
    totalPages,
    page,
    setPage
  } = _ref;
  const showPages = 6;
  const from = Math.max(1, page - parseInt(showPages / 2));
  const to = Math.min(totalPages, from + showPages);
  const parr = [];

  for (let i = from; i <= to; i++) {
    parr.push(i);
  }

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, page > 1 && /*#__PURE__*/_react.default.createElement(_core.Button, {
    onClick: () => setPage(1)
  }, "<<"), page > 1 && /*#__PURE__*/_react.default.createElement(_core.Button, {
    onClick: () => setPage(page - 1)
  }, "<"), parr.map((item, index) =>
  /*#__PURE__*/
  // eslint-disable-next-line eqeqeq
  _react.default.createElement(_core.Button, {
    onClick: () => setPage(item),
    key: index,
    disabled: item === page
  }, item)), page < totalPages && /*#__PURE__*/_react.default.createElement(_core.Button, {
    onClick: () => setPage(page + 1)
  }, ">"), page < totalPages && /*#__PURE__*/_react.default.createElement(_core.Button, {
    onClick: () => setPage(totalPages)
  }, ">>"));
};

var _default = IPMDPager;
exports.default = _default;