"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@material-ui/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const IPMDCB = _ref => {
  let {
    label = '',
    checked,
    setValue,
    readOnly
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_core.FormControlLabel, {
    control: /*#__PURE__*/_react.default.createElement(_core.Checkbox, {
      checked: checked,
      onChange: e => setValue(e.target.checked),
      color: "default",
      disabled: readOnly || false
    }),
    label: label
  });
};

var _default = IPMDCB;
exports.default = _default;